public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
* [gentoo-commits] repo/gentoo:master commit in: dev-ruby/fileutils/
@ 2023-08-16 19:20 Hans de Graaff
  0 siblings, 0 replies; 4+ messages in thread
From: Hans de Graaff @ 2023-08-16 19:20 UTC (permalink / raw
  To: gentoo-commits

commit:     fbd08de4df99f2344f9c585dd7687235f8bd5440
Author:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
AuthorDate: Wed Aug 16 19:19:34 2023 +0000
Commit:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
CommitDate: Wed Aug 16 19:20:18 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=fbd08de4

dev-ruby/fileutils: new package, add 1.7.1

Signed-off-by: Hans de Graaff <graaff <AT> gentoo.org>

 dev-ruby/fileutils/Manifest               |  1 +
 dev-ruby/fileutils/fileutils-1.7.1.ebuild | 27 +++++++++++++++++++++++++++
 dev-ruby/fileutils/metadata.xml           | 11 +++++++++++
 3 files changed, 39 insertions(+)

diff --git a/dev-ruby/fileutils/Manifest b/dev-ruby/fileutils/Manifest
new file mode 100644
index 000000000000..1530b338313b
--- /dev/null
+++ b/dev-ruby/fileutils/Manifest
@@ -0,0 +1 @@
+DIST fileutils-1.7.1.tar.gz 40841 BLAKE2B a93a9a3357302ac420a4eec3349207d38e2b9e88cf2eb839c769c9219b3b1afa1b106dbc83e55ca907971909ae678189bc25eb7615243bebd20cab4c611a29d6 SHA512 d4aa814959a8c609aa0cf39755172db8c6efcd320cce41ac861a075c960a1dc35a1a3e5a4bea00d7051196e7f69043b4f7ef8f30ef31b8e943f4f10f926a0036

diff --git a/dev-ruby/fileutils/fileutils-1.7.1.ebuild b/dev-ruby/fileutils/fileutils-1.7.1.ebuild
new file mode 100644
index 000000000000..b9b8b43c76c6
--- /dev/null
+++ b/dev-ruby/fileutils/fileutils-1.7.1.ebuild
@@ -0,0 +1,27 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+USE_RUBY="ruby30 ruby31 ruby32"
+
+RUBY_FAKEGEM_BINWRAP=""
+RUBY_FAKEGEM_EXTRADOC="README.md"
+RUBY_FAKEGEM_GEMSPEC="fileutils.gemspec"
+
+inherit ruby-fakegem
+
+DESCRIPTION="Several file utility methods for copying, moving, removing, etc"
+HOMEPAGE="https://github.com/ruby/fileutils"
+SRC_URI="https://github.com/ruby/fileutils/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="BSD-2"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~loong ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x64-solaris"
+IUSE=""
+
+all_ruby_prepare() {
+	sed -e 's/__dir__/"."/' \
+		-e 's/__FILE__/"'${RUBY_FAKEGEM_GEMSPEC}'"/' \
+		-e 's/git ls-files -z/find * -print0/' \
+		-i ${RUBY_FAKEGEM_GEMSPEC} || die
+}

diff --git a/dev-ruby/fileutils/metadata.xml b/dev-ruby/fileutils/metadata.xml
new file mode 100644
index 000000000000..24eed223ef4f
--- /dev/null
+++ b/dev-ruby/fileutils/metadata.xml
@@ -0,0 +1,11 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "https://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+  <maintainer type="project">
+    <email>ruby@gentoo.org</email>
+    <name>Gentoo Ruby Project</name>
+  </maintainer>
+  <upstream>
+    <remote-id type="github">ruby/fileutils</remote-id>
+  </upstream>
+</pkgmetadata>


^ permalink raw reply related	[flat|nested] 4+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: dev-ruby/fileutils/
@ 2023-11-08  7:02 Hans de Graaff
  0 siblings, 0 replies; 4+ messages in thread
From: Hans de Graaff @ 2023-11-08  7:02 UTC (permalink / raw
  To: gentoo-commits

commit:     6b6d32d65187500159953590788a3689e0478161
Author:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
AuthorDate: Wed Nov  8 07:02:24 2023 +0000
Commit:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
CommitDate: Wed Nov  8 07:02:24 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=6b6d32d6

dev-ruby/fileutils: add 1.7.2

Signed-off-by: Hans de Graaff <graaff <AT> gentoo.org>

 dev-ruby/fileutils/Manifest               |  1 +
 dev-ruby/fileutils/fileutils-1.7.2.ebuild | 29 +++++++++++++++++++++++++++++
 2 files changed, 30 insertions(+)

diff --git a/dev-ruby/fileutils/Manifest b/dev-ruby/fileutils/Manifest
index 1530b338313b..76b5b8ff9d11 100644
--- a/dev-ruby/fileutils/Manifest
+++ b/dev-ruby/fileutils/Manifest
@@ -1 +1,2 @@
 DIST fileutils-1.7.1.tar.gz 40841 BLAKE2B a93a9a3357302ac420a4eec3349207d38e2b9e88cf2eb839c769c9219b3b1afa1b106dbc83e55ca907971909ae678189bc25eb7615243bebd20cab4c611a29d6 SHA512 d4aa814959a8c609aa0cf39755172db8c6efcd320cce41ac861a075c960a1dc35a1a3e5a4bea00d7051196e7f69043b4f7ef8f30ef31b8e943f4f10f926a0036
+DIST fileutils-1.7.2.tar.gz 30020 BLAKE2B 6b50a1cbeb725fbe423f602aa024169fd480dabb937a8479421a4ea86bedf90b45fdae01b4ffc46480d93e3b73805eed1bab482c41d5de69fec9ebcd7348c38e SHA512 85732efe0dfb53bbf273030f2389c82a81eca38d3f5aa77bc8bde56c0b082a247573d2adf56320c7a680ef7630c88f525baaf7b52ba3a2b0adab899d1b242f46

diff --git a/dev-ruby/fileutils/fileutils-1.7.2.ebuild b/dev-ruby/fileutils/fileutils-1.7.2.ebuild
new file mode 100644
index 000000000000..b383f51225f2
--- /dev/null
+++ b/dev-ruby/fileutils/fileutils-1.7.2.ebuild
@@ -0,0 +1,29 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+USE_RUBY="ruby31 ruby32"
+
+RUBY_FAKEGEM_BINWRAP=""
+RUBY_FAKEGEM_EXTRADOC="README.md"
+RUBY_FAKEGEM_GEMSPEC="fileutils.gemspec"
+
+inherit ruby-fakegem
+
+DESCRIPTION="Several file utility methods for copying, moving, removing, etc"
+HOMEPAGE="https://github.com/ruby/fileutils"
+SRC_URI="https://github.com/ruby/fileutils/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="BSD-2"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~loong ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x64-solaris"
+IUSE=""
+
+ruby_add_bdepend "test? ( dev-ruby/test-unit dev-ruby/test-unit-ruby-core )"
+
+all_ruby_prepare() {
+	sed -e 's/__dir__/"."/' \
+		-e 's/__FILE__/"'${RUBY_FAKEGEM_GEMSPEC}'"/' \
+		-e 's/git ls-files -z/find * -print0/' \
+		-i ${RUBY_FAKEGEM_GEMSPEC} || die
+}


^ permalink raw reply related	[flat|nested] 4+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: dev-ruby/fileutils/
@ 2023-12-27 20:12 Hans de Graaff
  0 siblings, 0 replies; 4+ messages in thread
From: Hans de Graaff @ 2023-12-27 20:12 UTC (permalink / raw
  To: gentoo-commits

commit:     401092d025ad57f32e51c3774bac9dff4e3da11c
Author:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
AuthorDate: Wed Dec 27 20:02:15 2023 +0000
Commit:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
CommitDate: Wed Dec 27 20:02:15 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=401092d0

dev-ruby/fileutils: enable ruby33

Signed-off-by: Hans de Graaff <graaff <AT> gentoo.org>

 dev-ruby/fileutils/fileutils-1.7.2.ebuild | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/dev-ruby/fileutils/fileutils-1.7.2.ebuild b/dev-ruby/fileutils/fileutils-1.7.2.ebuild
index b383f51225f2..2971c3f970ba 100644
--- a/dev-ruby/fileutils/fileutils-1.7.2.ebuild
+++ b/dev-ruby/fileutils/fileutils-1.7.2.ebuild
@@ -2,7 +2,7 @@
 # Distributed under the terms of the GNU General Public License v2
 
 EAPI=8
-USE_RUBY="ruby31 ruby32"
+USE_RUBY="ruby31 ruby32 ruby33"
 
 RUBY_FAKEGEM_BINWRAP=""
 RUBY_FAKEGEM_EXTRADOC="README.md"


^ permalink raw reply related	[flat|nested] 4+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: dev-ruby/fileutils/
@ 2024-11-02  7:27 Hans de Graaff
  0 siblings, 0 replies; 4+ messages in thread
From: Hans de Graaff @ 2024-11-02  7:27 UTC (permalink / raw
  To: gentoo-commits

commit:     bc71493cab806a1d35efb61664fba9ee0120a508
Author:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
AuthorDate: Sat Nov  2 07:19:17 2024 +0000
Commit:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
CommitDate: Sat Nov  2 07:27:39 2024 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=bc71493c

dev-ruby/fileutils: add 1.7.3

Signed-off-by: Hans de Graaff <graaff <AT> gentoo.org>

 dev-ruby/fileutils/Manifest               |  1 +
 dev-ruby/fileutils/fileutils-1.7.3.ebuild | 29 +++++++++++++++++++++++++++++
 2 files changed, 30 insertions(+)

diff --git a/dev-ruby/fileutils/Manifest b/dev-ruby/fileutils/Manifest
index 76b5b8ff9d11..a447bdb1de38 100644
--- a/dev-ruby/fileutils/Manifest
+++ b/dev-ruby/fileutils/Manifest
@@ -1,2 +1,3 @@
 DIST fileutils-1.7.1.tar.gz 40841 BLAKE2B a93a9a3357302ac420a4eec3349207d38e2b9e88cf2eb839c769c9219b3b1afa1b106dbc83e55ca907971909ae678189bc25eb7615243bebd20cab4c611a29d6 SHA512 d4aa814959a8c609aa0cf39755172db8c6efcd320cce41ac861a075c960a1dc35a1a3e5a4bea00d7051196e7f69043b4f7ef8f30ef31b8e943f4f10f926a0036
 DIST fileutils-1.7.2.tar.gz 30020 BLAKE2B 6b50a1cbeb725fbe423f602aa024169fd480dabb937a8479421a4ea86bedf90b45fdae01b4ffc46480d93e3b73805eed1bab482c41d5de69fec9ebcd7348c38e SHA512 85732efe0dfb53bbf273030f2389c82a81eca38d3f5aa77bc8bde56c0b082a247573d2adf56320c7a680ef7630c88f525baaf7b52ba3a2b0adab899d1b242f46
+DIST fileutils-1.7.3.tar.gz 31442 BLAKE2B 2d3c4545a67662b11c414c543374f78fa52ff8252be9e84bd599a7295528d43422d91f425baf5b78fde324024314cf97f0d368c894bb5da47473e4d4ab906cb6 SHA512 61f2114456cccd19c436931a018233cd116b1e460630e6a8dbfa7dd23fca260400b456805933728f7a8f59553e3c4ebebf903b5eda9da1a479dc89d19b03ec99

diff --git a/dev-ruby/fileutils/fileutils-1.7.3.ebuild b/dev-ruby/fileutils/fileutils-1.7.3.ebuild
new file mode 100644
index 000000000000..dfac3c3a6c19
--- /dev/null
+++ b/dev-ruby/fileutils/fileutils-1.7.3.ebuild
@@ -0,0 +1,29 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+USE_RUBY="ruby31 ruby32 ruby33"
+
+RUBY_FAKEGEM_BINWRAP=""
+RUBY_FAKEGEM_EXTRADOC="README.md"
+RUBY_FAKEGEM_GEMSPEC="fileutils.gemspec"
+
+inherit ruby-fakegem
+
+DESCRIPTION="Several file utility methods for copying, moving, removing, etc"
+HOMEPAGE="https://github.com/ruby/fileutils"
+SRC_URI="https://github.com/ruby/fileutils/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="BSD-2"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~loong ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x64-solaris"
+IUSE="test"
+
+ruby_add_bdepend "test? ( dev-ruby/test-unit dev-ruby/test-unit-ruby-core )"
+
+all_ruby_prepare() {
+	sed -e 's/__dir__/"."/' \
+		-e 's/__FILE__/"'${RUBY_FAKEGEM_GEMSPEC}'"/' \
+		-e 's/git ls-files -z/find * -print0/' \
+		-i ${RUBY_FAKEGEM_GEMSPEC} || die
+}


^ permalink raw reply related	[flat|nested] 4+ messages in thread

end of thread, other threads:[~2024-11-02  7:27 UTC | newest]

Thread overview: 4+ messages (download: mbox.gz follow: Atom feed
-- links below jump to the message on this page --
2023-12-27 20:12 [gentoo-commits] repo/gentoo:master commit in: dev-ruby/fileutils/ Hans de Graaff
  -- strict thread matches above, loose matches on Subject: below --
2024-11-02  7:27 Hans de Graaff
2023-11-08  7:02 Hans de Graaff
2023-08-16 19:20 Hans de Graaff

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox